=== debian/watch ===
version=4
https://download.gnome.org/sources/gdm/([\d\.]+)/ \
	gdm@ANY_VERSION@\.tar\.xz
