## gdm3 3.36.2

=== debian/changelog ===
gdm3 (3.36.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Use a separate D-Bus session bus for each greeter
      + Add Depends on dbus, for dbus-run-session
    - Don't disable Wayland on Cirrus hardware (or more likely, emulated
      Cirrus hardware in qemu). A 5.2+ kernel is recommended.
    - Check for keyutils using pkg-config
    - Fixes for when GDM isn't started on its configured initial VT
    - Don't hard-code /bin/plymouth
    - Translation updates
  * d/watch: Only watch for even-numbered (stable) releases
  * d/p/local-display-factory-always-force-login-screen-to-VT-1.patch:
    Add post-release fix from upstream gnome-3-36 branch to fix a fast
    user switching regression in 3.36.2, by forcing the greeter to appear
    on tty1
  * Update symbols file.
    This ignores a change to private symbols:
    gdm_find_display_session_for_uid isn't declared in a public header,
    and nothing in Debian seems to call it.

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Jun 2020 10:55:01 +0100

gdm3 (3.34.1-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/greeter.dconf-defaults: Use 64px instead of 128px logo.
    Until gnome-shell 3.36.1, the logo was scaled down to be 48px tall.
    Since 3.36.1, it's shown at actual size, and 128px looks silly.
    desktop-base doesn't currently have a 48px version, but 64px is close
    enough. (Closes: #955759)

  [ Alexander Kurtz ]
  * debian/generate-config: Re-compile the dconf database unconditionally.
    Previously we tried to determine whether running `dconf compile` was
    really necessary by comparing the timestamps of the input and output
    files in a make-like fashion, but this was unnecessarily complicated,
    since both the CPU and IO load are negligible.

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Apr 2020 17:16:30 +0100

gdm3 (3.34.1-2) unstable; urgency=medium

  [ Alexander Kurtz ]
  * debian/gdm3.postinst: Remove obsolete cleanup code now that buster has
    been released.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Move the daemons to libexec now that's allowed in the policy
  * Move everything from /var/run to /run as the former is a link to the later
    for quite some time
  * debian/gdm3.postinst: Remove obsolete cleanup code for gdm-welcome PAM
    service, this dates from 2012

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Mar 2020 10:50:21 +0100
