=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gdm3
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: check (>= 0.9.10-2~),
                dconf-cli (>= 0.19.90),
                debhelper-compat (= 12),
@@ -31,7 +30,6 @@
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 2.91.1),
-               libgudev-1.0-dev,
                libkeyutils-dev [linux-any],
                libnss3-dev (>= 3.11.1),
                libpam0g-dev,
@@ -50,11 +48,9 @@
                udev [linux-any],
                xserver-xorg-dev,
                yelp-tools
-Standards-Version: 4.2.1
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gdm3
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gdm3
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 Rules-Requires-Root: no
 
 Package: gdm3
@@ -62,9 +58,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: accountsservice (>= 0.6.35),
          adduser,
-         bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
+         dbus,
          gir1.2-gdm-1.0 (= ${binary:Version}),
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gnome-session-bin (>= 3.10),
@@ -86,12 +82,13 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
-            libpam-fprintd (>= 0.8.0-2),
+            desktop-base (>= 10.0.0),
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,
             zenity
 Suggests: gnome-orca,
+          libpam-fprintd (>= 0.8.0-2),
           libpam-gnome-keyring
 Provides: x-display-manager
 Breaks: pulseaudio (<< 11.1-2),
