=== debian/rules ===
--- 
+++ 
@@ -61,24 +61,24 @@
 	X_SERVER_PATH="/usr/bin" \
 	X_SERVER="/usr/bin/Xorg" \
 	dh_auto_configure -- \
-		--libexecdir=\$${prefix}/lib/gdm3 \
 		--disable-static \
 		--enable-ipv6=yes \
-		--enable-gdm-xsession \
 		--with-at-spi-registryd-directory=/usr/lib/at-spi \
 		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
+		--with-custom-conf=/etc/gdm3/daemon.conf \
 		--with-sysconfsubdir=gdm3 \
 		--with-working-directory=/var/lib/gdm3 \
-		--with-xauth-dir=/var/run/gdm3 \
-		--with-run-dir=/var/run/gdm3 \
-		--with-pid-file=/var/run/gdm3.pid \
+		--with-xauth-dir=/run/gdm3 \
+		--with-run-dir=/run/gdm3 \
+		--with-pid-file=/run/gdm3.pid \
 		--with-log-dir=/var/log/gdm3 \
 		--with-pam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
-		--with-screenshot-dir=/var/run/gdm3/greeter \
+		--with-screenshot-dir=/run/gdm3/greeter \
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
+		--with-user=Debian-gdm --with-group=Debian-gdm \
 		--with-lang-file=/etc/default/locale \
 		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
-		--with-ran-once-marker-directory=/var/run/gdm3 \
+		--with-ran-once-marker-directory=/run/gdm3 \
 		--with-gnome-settings-daemon-directory="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
 		$(CONFFLAGS)
 
@@ -88,17 +88,24 @@
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
 	rm -rf debian/tmp/var/lib/gdm3/.[cgl]*
-	rm -rf debian/tmp/var/run
+	rm -rf debian/tmp/run
 	dh_install
 ifneq ($(just_the_library),yes)
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-#	chmod 755 debian/gdm3/etc/gdm3/Xsession
+	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
 	dh_installpam -pgdm3 --name=gdm-password
 	dh_installpam -pgdm3 --name=gdm-fingerprint
 endif
+
+override_dh_link:
+	# Add compatibility symlinks as GDM is not restarted on upgrades and the lack
+	# of these symlinks might prevent the user from login before the machine is
+	# restarted. We can remove this after bullseye release.
+	( mkdir -p debian/gdm3/usr/lib/gdm3; cd debian/gdm3/usr/lib/gdm3; ln -s ../../libexec/* . )
+	dh_link
 
 override_dh_missing:
 	dh_missing --list-missing
@@ -107,7 +114,7 @@
 	dh_makeshlibs -- -c4
 
 override_dh_installinit:
-	dh_installinit --noscripts --no-start
+	dh_installinit --noscripts
 
 override_dh_auto_clean:
 	dh_auto_clean
