## gdm3 3.36.3

=== debian/changelog ===
gdm3 (3.36.3-0ubuntu0.20.04.4) focal; urgency=medium

  * debian/patches/ubuntu/reset-session-on-pam-error.patch:
    - Backport upstream commit to fix ending up on a black screen when pam
      session errors out. (LP: #1935818)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Jul 2021 11:44:23 +0200

gdm3 (3.36.3-0ubuntu0.20.04.3) focal; urgency=medium

  * debian/patches/git_display_segfault.patch:
    - Backport crash fix when using Xvfb in some situations
      (lp: #1861769)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Nov 2020 13:27:10 +0100

gdm3 (3.36.3-0ubuntu0.20.04.2) focal-security; urgency=medium

  * SECURITY UPDATE: gnome-initial-setup launch issue
    - debian/patches/CVE-2020-16125.patch: fail if accountsservice could
      not be contacted in daemon/gdm-display.c.
    - CVE-2020-16125

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Oct 2020 10:57:05 -0400

gdm3 (3.36.3-0ubuntu0.20.04.1) focal; urgency=medium

  [ Iain Lane ]
  * New upstream release (LP: #1894874).
    - Always use separate session bus for greeter sessions
      This runs dbus-run-session, so the binary needs to be available
    - Chrome remote desktop fix
    - Don't hardcode path to plymouth
    - Fixes for when GDM isn't started on its configured initial VT (LP:
      #1845801)
    - keyutils has a .pc file so use it
    - User switching fix
  * debian/{control,gbp.conf}: Update for ubuntu/focal & upstream/3.36.x

  [ Simon McVittie ]
  * Add Depends on dbus, for dbus-run-session
  * Update symbols file.
    This ignores a change to private symbols: gdm_find_display_session_for_uid
    isn't declared in a public header, and nothing in Debian/Ubuntu seems to
    call it.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 Sep 2020 18:01:39 +0100
