=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gdm3
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: check (>= 0.9.10-2~),
                dconf-cli (>= 0.19.90),
                debhelper-compat (= 12),
@@ -30,6 +31,7 @@
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 2.91.1),
+               libgudev-1.0-dev,
                libkeyutils-dev [linux-any],
                libnss3-dev (>= 3.11.1),
                libpam0g-dev,
@@ -48,9 +50,11 @@
                udev [linux-any],
                xserver-xorg-dev,
                yelp-tools
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
+Standards-Version: 4.2.1
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gdm3
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gdm3 -b ubuntu/focal
 Rules-Requires-Root: no
 
 Package: gdm3
@@ -58,6 +62,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: accountsservice (>= 0.6.35),
          adduser,
+         bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
          dbus,
@@ -82,13 +87,12 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
-            desktop-base (>= 10.0.0),
+            libpam-fprintd (>= 0.8.0-2),
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,
             zenity
 Suggests: gnome-orca,
-          libpam-fprintd (>= 0.8.0-2),
           libpam-gnome-keyring
 Provides: x-display-manager
 Breaks: pulseaudio (<< 11.1-2),
