## gdm3 3.38.1

=== debian/changelog ===
gdm3 (3.38.1-2ubuntu1.1) groovy-security; urgency=medium

  * SECURITY UPDATE: gnome-initial-setup launch issue
    - debian/patches/CVE-2020-16125.patch: fail if accountsservice could
      not be contacted in daemon/gdm-display.c.
    - CVE-2020-16125

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Oct 2020 10:53:12 -0400

gdm3 (3.38.1-2ubuntu1) groovy; urgency=medium

  * Merging with debian, containing a new upstream release, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - build depend on libgudev-1.0-dev
      - depend on bash for config_error_dialog.patch
      - update vcs field
      - recomends libpam-fprintd (instead of suggests)
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: make pam_env read ~/.pam_environment
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 14 Oct 2020 15:28:44 +0100

gdm3 (3.38.1-2) unstable; urgency=medium

  * debian/gdm3.preinst: Add script to replace possibly wrong .conf file.
    In gdm3 versions of the 3.38 series a regression was introduced causing
    the /usr/libexec/gdm-disable-wayland tool to write its supposedly
    temporary gdm file to the persistent location.
    This is particularly harmful for users of the NVIDIA drivers as they
    will get their default config file (/etc/gdm3/daemon.conf in debian and
    /etc/gdm3/custom.conf in Ubuntu) modified for good, making impossible to
    login in a Wayland session (once nvidia driver is disabled).
    As per this, in case of upgrades or install with configuration files
    left, we replace the gdm's daemon.conf/custom.conf file in case it
    matches the one that the disable-wayland tool would produce.
    https://discourse.gnome.org/t/gdm-3-38-0-has-bad-bug-for-nvidia-users/4517
    (LP: #1899673)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 14 Oct 2020 01:29:48 +0200

gdm3 (3.38.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix bug leading to users /etc/gdm/custom.conf getting overwritten on
      nvidia systems (LP: #1899673).
    - Fix typo in comment
    - Translation updates
  * debian/rules: Don't override the runtime-conf path anymore.
    Upstream fixed the root issue for changing this, so the default runtime
    configuration file will be correctly written in the runtime path again.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Oct 2020 19:51:14 +0200

gdm3 (3.38.0-2) unstable; urgency=medium

  * Team upload
  * d/rules: Set runtime configuration path.
    In Autotools, the default runtime configuration path used to be
    ${GDM_RUN_DIR}/custom.conf, but in the Meson build system the fallback
    changed to be the same as the custom.conf path in /etc (set to
    /etc/gdm3/daemon.conf in Debian for historical reasons).
    Explicitly set it to the path we used before switching to Meson, so
    that configuration changes by gdm-disable-wayland are temporary as
    intended, and do not persist to a subsequent boot.
  * Revert "debian/watch: Monitor unstable versions"
  * d/upstream/metadata: Add
  * Merge packaging from unstable
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Sep 2020 16:52:06 +0100

gdm3 (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, containing new upstream release:
    - Crasher fix
    - build goo updates
    - systemd unit file improvements
    - Translation updates
  * debian/patches: Refreshed (removing applied one)
  * Remaining changes with debian:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Build depend on libgudev-1.0-dev
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
      - Recomends libpam-fprintd (instead of Suggests)
    + rules:
      - Don't override default user/group
      - -Dgdm-xsession=true to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:

