=== debian/control ===
--- 
+++ 
@@ -7,35 +7,30 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: check (>= 0.9.10-2~),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
                dh-sequence-gnome,
                docbook-xml,
                gettext (>= 0.19.8),
                gnome-pkg-tools (>= 0.16.3),
-               gnome-settings-daemon (>= 3.24.0),
                gnome-settings-daemon-dev (>= 3.24.0),
                gobject-introspection (>= 0.10.7-1~),
-               gsettings-desktop-schemas,
                intltool,
                iso-codes,
+               itstool,
                libaccountsservice-dev (>= 0.6.35),
-               libattr1-dev [linux-any],
                libaudit-dev [linux-any],
                libcanberra-gtk3-dev (>= 0.4),
-               libfontconfig1-dev (>= 2.5.0),
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 2.91.1),
                libgudev-1.0-dev,
                libkeyutils-dev [linux-any],
-               libnss3-dev (>= 3.11.1),
                libpam0g-dev,
-               libpango1.0-dev (>= 1.3.0),
                libplymouth-dev [linux-any],
                libselinux1-dev [linux-any],
                libsystemd-dev [linux-any],
@@ -44,17 +39,14 @@
                libxau-dev,
                libxcb1-dev,
                libxdmcp-dev,
-               libxext-dev,
-               libxinerama-dev,
-               libxt-dev,
-               udev [linux-any],
-               xserver-xorg-dev,
-               yelp-tools
-Standards-Version: 4.2.1
+               meson (>= 0.50),
+               systemd,
+               udev [linux-any]
+Standards-Version: 4.5.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gdm3
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gdm3 -b ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/master
 Rules-Requires-Root: no
 
 Package: gdm3
@@ -68,9 +60,10 @@
          dbus,
          gir1.2-gdm-1.0 (= ${binary:Version}),
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
-         gnome-session-bin (>= 3.10),
-         gnome-settings-daemon (>= 3.24),
-         gnome-shell (>= 3.19.92),
+         gnome-session-bin (>= 3.37.0),
+         gnome-session-common (>= 3.37.0-2~),
+         gnome-settings-daemon (>= 3.37.0),
+         gnome-shell (>= 3.37.90),
          gsettings-desktop-schemas,
          libgdm1 (= ${binary:Version}),
          libglib2.0-bin (>= 2.35.0),
