=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifeq (linux,$(DEB_HOST_ARCH_OS))
CONFFLAGS += \
	-Dselinux=enabled \
	-Dplymouth=enabled
else
CONFFLAGS += \
	-Dwayland-support=false \
	-Dselinux=disabled
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
CONFFLAGS += --buildtype=debug
endif

INFILES := $(wildcard debian/*.desktop.in)
OUTFILES := $(INFILES:.desktop.in=.desktop)

%.desktop: %.desktop.in
	intltool-merge -d debian/po-up $< $@

PODFILES := $(wildcard debian/*.pod)
MANPAGES := $(patsubst %.pod,%,$(PODFILES))

$(MANPAGES): $(PODFILES)
	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
		--release="GNOME $(DEB_GNOME_VERSION)" \
		--center="Debian GNU/Linux" \
		$< \
		| sed -e 's/debian:://' >$@

%:
	dh $@

# We set this up manually
override_dh_installsystemd:

override_dh_auto_configure:
	X_BIN="/usr/bin/Xorg" \
	dh_auto_configure -- \
		-Dipv6=true \
		-Dat-spi-registryd-dir=/usr/lib/at-spi \
		-Ddefault-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
		-Dsysconfsubdir=gdm3 \
		-Dworking-dir=/var/lib/gdm3 \
		-Dxauth-dir=/run/gdm3 \
		-Drun-dir=/run/gdm3 \
		-Dpid-file=/run/gdm3.pid \
		-Dlog-dir=/var/log/gdm3 \
		-Dgdm-xsession=true \
		-Dpam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
		-Dscreenshot-dir=/run/gdm3/greeter \
		-Ddefaults-conf=/usr/share/gdm/defaults.conf \
		-Dlang-file=/etc/default/locale \
		-Dcheck-accelerated-dir=/usr/lib/gnome-session/ \
		-Dran-once-marker-dir=/run/gdm3 \
		-Dgnome-settings-daemon-dir="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
		$(CONFFLAGS)

override_dh_auto_build: $(OUTFILES) $(MANPAGES)
	dh_auto_build

override_dh_install:
	dh_install
	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
#	chmod 755 debian/gdm3/etc/gdm3/Xsession
	chmod 755 debian/gdm3/usr/share/gdm/generate-config
	dh_installpam -pgdm3 --name=gdm-autologin
	dh_installpam -pgdm3 --name=gdm-launch-environment
	dh_installpam -pgdm3 --name=gdm-password
	dh_installpam -pgdm3 --name=gdm-fingerprint

override_dh_link:
	# Add compatibility symlinks as GDM is not restarted on upgrades and the lack
	# of these symlinks might prevent the user from login before the machine is
	# restarted. We can remove this after bullseye release.
	( mkdir -p debian/gdm3/usr/lib/gdm3; cd debian/gdm3/usr/lib/gdm3; ln -s ../../libexec/* . )
	dh_link

override_dh_missing:
ifeq ($(just_the_library),yes)
	dh_missing --list-missing
else
	dh_missing --fail-missing
endif

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_installinit:
	dh_installinit --noscripts --no-start

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(MANPAGES)
	rm -f $(OUTFILES)
	rm -f data/gdm.schemas data/61-gdm.rules
